#pragma once
#include <Windows.h>
#include <stdio.h>
#include "GLRenderer.h"
#include "PCConvert.h"

class MainWnd
{
public:
  MainWnd(HINSTANCE hInstance, LPSTR lpCmdLine);
  ~MainWnd();

protected:
  void Init(HWND hwnd);
  void OnSize(UINT nType, int cx, int cy);
  void OnDraw();
  void OnLButtonDown(UINT nFlags, int x, int y);
  void OnMouseMove(UINT nFlags, int x, int y);
  void OnLButtonUp(UINT nFlags, int x, int y);
  void OnMouseWheel(WPARAM wParam, int x, int y);
  void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
  void OnGLRedraw(LPARAM lParam);

  friend LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

private:
  HINSTANCE hinstance;
  HWND hwnd;
  GLRenderer renderer;

  char filename[MAX_PATH];
};
